Skip to main content
POST
Create domain

Authorizations

Authorization
string
header
required

Your API key: Authorization: Bearer urldn_live_...

Body

application/json
domain
string
required
Maximum string length: 253
Example:

"links.mybrand.com"

Response

The domain, with the DNS records to add

id
string
required
domain
string
required
Example:

"links.mybrand.com"

state
enum<string>
required
Available options:
dns_pending,
dns_failed,
dns_broken,
ssl_issuing,
active
verified
boolean
required
sslStatus
enum<string>
required
Available options:
pending,
active,
failed,
broken
isApex
boolean
required

True for a two-part domain such as mybrand.com

dnsRecords
object[]
required

The records to add at your DNS provider. Names are full names.

verificationExpiresAt
string<date-time> | null
required
lastVerified
string<date-time> | null
required
createdAt
string<date-time>
required